summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbumpversion.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bumpversion.sh b/bumpversion.sh
new file mode 100755
index 00000000000..5cfd36d4959
--- /dev/null
+++ b/bumpversion.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -eu
+usage(){
+ echo "${0} \$version"
+ exit 1
+}
+
+[[ $# -ne 1 ]] && usage
+sed -i'' 's/^pkgver=.*$/pkgver='"${1}"'/' PKGBUILD
+updpkgsums
+makepkg --printsrcinfo > .SRCINFO